using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 安全教育模块基础配置
    /// </summary>
    [Description("安全教育模块基础配置")]
    public class T_SE_SECONFIG : MesEntityBase
    {
        /// <summary>
        /// 安全意识调查触发时间
        /// </summary>
        [Description("安全意识调查触发时间")]
        [FormFieldEdit]
        public DateTime? SAFE_SERVEY_TRIGGER_TIME { get; set; }
        /// <summary>
        /// 多选题数目
        /// </summary>
        [Description("单选题数目")]
        [FormFieldEdit]
        public int S_TEST_COUNT { get; set; }
        /// <summary>
        /// 单选题单题分值
        /// </summary>
        [Description("单选题单题分值")]
        [FormFieldEdit]
        public int S_TEST_SCORE { get; set; }
        /// <summary>
        /// 多选题数目
        /// </summary>
        [Description("多选题数目")]
        [FormFieldEdit]
        public int M_TEST_COUNT { get; set; }
        /// <summary>
        /// 多选题单题分值
        /// </summary>
        [Description("多选题单题分值")]
        [FormFieldEdit]
        public int M_TEST_SCORE { get; set; }
        /// <summary>
        /// 是非题数目
        /// </summary>
        [Description("是非题数目")]
        [FormFieldEdit]
        public int C_TEST_COUNT { get; set; }
        /// <summary>
        /// 是非题单题分值
        /// </summary>
        [Description("是非题单题分值")]
        [FormFieldEdit]
        public int C_TEST_SCORE { get; set; }
        /// <summary>
        /// 部门培训计划发起时间
        /// </summary>
        [Description("部门培训计划发起时间")]
        [FormFieldEdit]
        public DateTime? DEP_TRAIN_PLAN_START_TIME { get; set; }
        /// <summary>
        /// 部门培训计划截至时间
        /// </summary>
        [Description("部门培训计划截至时间")]
        [FormFieldEdit]
        public DateTime? DEP_TRAIN_PLAN_END_TIME { get; set; }
        /// <summary>
        /// 培训需求调查触发时间
        /// </summary>
        [Description("培训需求调查触发时间")]
        [FormFieldEdit]
        public DateTime? TRAIN_SURVEY_TRIGGER_TIME { get; set; }
    }
}